=== src/Makefile ===
VERSION=0.6.7
PACKAGE=ftpcopy
CLASS=web


INCLUDES=-I.

CC=gcc
L=./auto-link.sh
C=./auto-compile.sh
W=./auto-compilew.sh
MYMAKE=make
PACKAGE_VERSION=$(PACKAGE)-$(VERSION)
PREMAKE_DEFS=-DPACKAGE_VERSION=\"$(PACKAGE)-$(VERSION)\" \
 -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DPACKAGE_CLASS=\"$(CLASS)\"

TARGETS=$(EXTRA_TARGETS) $(PREMAKE_TARGETS)
CLEANFILES=$(EXTRA_CLEANFILES) $(PREMAKE_CLEANFILES)
MAINTAINER_CLEANFILES=$(EXTRA_MAINTAINER_CLEANFILES) $(PREMAKE_MAINTAINER_CLEANFILES)
PREMAKE_DIST=$(PACKAGE_VERSION).tar.gz
#
#
# the dependency of socket_ux on ipv6 is here because premake2 can't 
# handle it otherwise.


#!T:testsort:testsort.c ssort.c:libunix.a libbyte.a


PREMAKE_TARGETS = ftpcopy ftpls ftpcp.1 ftpcopy.1 ftpls.1 ftpcopy.html \
ftpls.html
 
PREMAKE_CLEANFILES = *.da *.bb *.bbg check.out conftest.c conftest \
conftest.o auto-socket.lib fsync.o auto-fsync.lib utimes.o \
auto-utimes.lib auto-gettimeofday.lib auto-version.tmac ftpcp.html.t \
install.html.t INSTALL.t ftpcp.1 ftpcp.1.t ftpcopy.1 ftpcopy.1.t \
ftpls.1 ftpls.1.t ftpcopy.html ftpcopy.html.t ftpls.html ftpls.html.t \
auto-typesize.h auto-typesize.stamp auto-socklen_t.h \
auto-socklen_t.stamp auto-socklen_t.h.t auto-have_futimes.h *.stamp
 
PREMAKE_MAINTAINER_CLEANFILES = ftpcp.html install.html INSTALL
 

libbyte_a_OBJECTS=byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
byte_zero.o case_diffb.o case_lowerb.o case_lowers.o case_lwrtab.o \
case_startb.o case_starts.o fmt_uint0.o fmt_uint64.o fmt_ulong.o \
fmt_xlong.o ip4_constants.o ip4_fmt.o ip4_scan.o ip6_constants.o \
ip6_fmt.o ip6_scan.o scan_long.o scan_sign.o scan_ulong.o scan_xlong.o \
str_chr.o str_diff.o str_len.o str_rchr.o str_start.o uint16_pack.o \
uint16_unpack.o uint32_pack.o uint32_unpack.o
 
libdns_a_OBJECTS=dns_dfd.o dns_domain.o dns_ip.o dns_ip6.o dns_ip64.o \
dns_ipq.o dns_ipq6.o dns_ipq64.o dns_packet.o dns_random.o dns_rcip.o \
dns_rcrw.o dns_resolve.o dns_sortip.o dns_sortip6.o dns_transmit.o
 
libstrhash_a_OBJECTS=strhash_crea.o strhash_dest.o strhash_ente.o \
strhash_get.o strhash_hash.o strhash_look.o
 
libtai_a_OBJECTS=tai_add.o tai_now.o tai_pack.o tai_sub.o tai_uint.o \
taia_add.o taia_approx.o taia_frac.o taia_half.o taia_less.o \
taia_now.o taia_pack.o taia_sub.o taia_uint.o
 
libunix_a_OBJECTS=alloc.o alloc_re.o api_futimes.o api_utimes.o \
buffer.o buffer_0.o buffer_1.o buffer_2.o buffer_get.o buffer_put.o \
env_get.o error.o error_str.o gen_alloc_ady.o gen_alloc_end.o \
gen_alloc_lus.o get_cwd.o getln.o iopause.o ndelay_off.o ndelay_on.o \
open_append.o open_excl.o open_read.o openreadclose.o readclose.o \
readclose_app.o sig.o sig_catch.o socket_bind.o socket_bind6.o \
socket_bind64.o socket_conn.o socket_conn6.o socket_conn64.o \
socket_connt.o socket_family.o socket_flag.o socket_gifid.o \
socket_gifna.o socket_htons.o socket_ntohs.o socket_remote6.o \
socket_tcp.o socket_tcp6.o socket_tcp64.o socket_udp.o socket_udp6.o \
socket_udp64.o stralloc_cat.o stralloc_catb.o stralloc_cats.o \
stralloc_copy.o stralloc_eady.o stralloc_free.o stralloc_opyb.o \
stralloc_opys.o stralloc_pend.o stralloc_plus.o
 
libuomisc_a_OBJECTS=api_dir.o bailout.o bailout_name.o host_connect4.o \
host_connect64.o timeoutconn.o timeoutconn6.o toconn_common.o \
uo_wildmat.o uogetopt.o
 
libuotime_a_OBJECTS=uo_now.o uo_sec702dt.o yyyy_mm_dd.o
 
PREMAKE_EXTRA_SYSTYPE =  auto-socket.lib auto-have_fsync.h \
auto-have_utimes.h auto-gettimeofday.lib auto-typesize.h \
auto-have_ipv6.h auto-socklen_t.h auto-iopause.h auto-have_futimes.h
 
all:  auto-systype $(TARGETS) $(EXTRA_TARGETS)
 
auto-socket.lib: find_socket_func.sh auto-compile.sh auto-link.sh
	sh find_socket_func.sh >auto-socket.t && mv auto-socket.t $@
auto-have_fsync.h: have_func.sh
	sh have_func.sh fsync "#include <unistd.h>" "fsync(0)" "" "" >$@.t && mv $@.t $@
auto-fsync.lib: fsync.sh auto-compile.sh auto-link.sh auto-have_fsync.h
	sh fsync.sh >fsync.t && mv fsync.t $@
auto-have_utimes.h: have_func.sh auto-compile.sh auto-link.sh
	sh have_func.sh utimes "#include <sys/time.h>" "utimes(0,0)" "" "" >$@.t && mv $@.t $@
auto-utimes.lib: replace.sh auto-compile.sh auto-link.sh auto-have_utimes.h
	sh replace.sh utimes utimes "" -lsocket >$@.t && mv $@.t $@
auto-gettimeofday.lib: gettimeofday.sh auto-compile.sh auto-link.sh
	sh gettimeofday.sh >gettimeofday.t && mv gettimeofday.t $@
ftpcopy:  ftpcopy.o ftpparse.o ftplib.o ftp_read_lis.o urlparse.o canon.o common.o mdtm.o mysleep.o warn_broken.o eof_or_error.o utcdate2tai.o sockrecbuf.o ssort.o inq_winsize.o libuotime.a libuomisc.a libdns.a libstrhash.a libunix.a libtai.a libbyte.a auto-socket.lib auto-fsync.lib auto-utimes.lib auto-gettimeofday.lib auto-link.sh
	$L ftpcopy  ftpcopy.o ftpparse.o ftplib.o ftp_read_lis.o urlparse.o canon.o common.o mdtm.o mysleep.o warn_broken.o eof_or_error.o utcdate2tai.o sockrecbuf.o ssort.o inq_winsize.o libuotime.a libuomisc.a libdns.a libstrhash.a libunix.a libtai.a libbyte.a `head -n 1 auto-socket.lib` `head -n 1 auto-fsync.lib` `head -n 1 auto-utimes.lib` `head -n 1 auto-gettimeofday.lib` 
ftpls:  ftpls.o ftpparse.o ftplib.o ftp_read_lis.o urlparse.o sort_it.o common.o mysleep.o warn_broken.o eof_or_error.o utcdate2tai.o ssort.o libuotime.a libdns.a libuomisc.a libstrhash.a libdns.a libunix.a libtai.a libbyte.a auto-socket.lib auto-gettimeofday.lib auto-link.sh
	$L ftpls  ftpls.o ftpparse.o ftplib.o ftp_read_lis.o urlparse.o sort_it.o common.o mysleep.o warn_broken.o eof_or_error.o utcdate2tai.o ssort.o libuotime.a libdns.a libuomisc.a libstrhash.a libdns.a libunix.a libtai.a libbyte.a `head -n 1 auto-socket.lib` `head -n 1 auto-gettimeofday.lib` 
auto-typesize.h: auto-typesize.stamp
auto-typesize.stamp: typesize.sh auto-compile.sh auto-link.sh
	sh typesize.sh >typesize.t
	@if cmp typesize.t auto-typesize.h 2>/dev/null >/dev/null ; then : ; else mv typesize.t auto-typesize.h ; fi
	rm -f typesize.t
	touch $@
auto-socklen_t.h: auto-socklen_t.stamp
auto-socklen_t.stamp: checktype.sh auto-compile.sh auto-link.sh
	sh checktype.sh socklen_t int sys/types.h "sys/types.h sys/socket.h" >auto-socklen_t.h.t
	@if cmp auto-socklen_t.h.t auto-socklen_t.h 2>/dev/null >/dev/null ; then : ; else mv auto-socklen_t.h.t auto-socklen_t.h ; fi
	@rm -f auto-socklen_t.h.t
	@touch $@
auto-have_ipv6.h:auto-compile.sh have_ipv6.sh
	sh have_ipv6.sh >$@.tmp
	mv $@.tmp $@ 
auto-iopause.h: iopause.sh auto-compile.sh auto-link.sh
	sh iopause.sh >iopause.t && mv iopause.t $@
auto-have_futimes.h: have_futimes.sh auto-compile.sh auto-link.sh have_func.sh
	sh have_futimes.sh >$@.t && mv $@.t $@
libbyte.a: $(libbyte_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libbyte_a_OBJECTS)
libdns.a: $(libdns_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libdns_a_OBJECTS)
libstrhash.a: $(libstrhash_a_OBJECTS) \
auto-makelib.sh
	./auto-makelib.sh $@ $(libstrhash_a_OBJECTS)
libtai.a: $(libtai_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libtai_a_OBJECTS)
libunix.a: $(libunix_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libunix_a_OBJECTS)
libuomisc.a: $(libuomisc_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libuomisc_a_OBJECTS)
libuotime.a: $(libuotime_a_OBJECTS) auto-makelib.sh
	./auto-makelib.sh $@ $(libuotime_a_OBJECTS)
ftpcp.html: ftpcp.1.in groff.tmac auto-version.tmac
	groff -mwww -Thtml -P-l groff.tmac auto-version.tmac ftpcp.1.in\
	| sed -e 's%</head>%<link rel="SHORTCUT ICON" \
href="http://www.ohse.de/uwe/ftpcopy/ftpcopy.ico"></head>%' \
>ftpcp.html.t && mv ftpcp.html.t ftpcp.html
install.html: install.0.in groff.tmac auto-version.tmac
	groff -mwww -Thtml -P-l groff.tmac auto-version.tmac install.0.in\
	| sed -e 's%</head>%<link rel="SHORTCUT ICON" \
href="http://www.ohse.de/uwe/ftpcopy/ftpcopy.ico"></head>%' \
>install.html.t && mv install.html.t install.html
INSTALL: install.0.in groff.tmac auto-version.tmac
	groff -man -Tascii groff.tmac auto-version.tmac install.0.in |sed \
's/\o33\[[0-9]*m//g ' |col -b >INSTALL.t && mv INSTALL.t \
INSTALL
ftpcp.1: ftpcp.1.in groff.tmac auto-version.tmac
	cat groff.tmac auto-version.tmac ftpcp.1.in \
 | sed 's/^.section/.SH/' >ftpcp.1.t \
 && mv ftpcp.1.t ftpcp.1
ftpcopy.1: ftpcopy uogo2man
	perl uogo2man ftpcopy ./ftpcopy 1 man "--include-exclude-help" \
"IN/EXCLUDE" >$@.t &&mv $@.t $@
ftpls.1: ftpls uogo2man
	perl uogo2man ftpcopy ./ftpls 1 man  >$@.t &&mv $@.t $@
ftpcopy.html: ftpcopy uogo2man doc-header.html
	perl uogo2man ftpcopy ./ftpcopy - html "--include-exclude-help" \
"IN/EXCLUDE" >$@.t &&mv $@.t $@
ftpls.html: ftpls uogo2man doc-header.html
	perl uogo2man ftpcopy ./ftpls - html  >$@.t &&mv $@.t \
$@
auto-version.tmac: version.tmac.stamp
version.tmac.stamp: Makefile
	(echo .ds PA $(PACKAGE) ;\
	 echo .ds VE $(VERSION) ;\
	 echo .ds CL $(CLASS) ;\
	) >auto-version.tmac.t
	cmp auto-version.tmac auto-version.tmac.t \
	 || cp auto-version.tmac.t auto-version.tmac
	touch $@ && rm auto-version.tmac.t
html: ftpcp.html install.html INSTALL ftpcopy.html ftpls.html

 
alloc.o: alloc.c alloc.h error.h auto-compilew.sh
	$W  -c alloc.c
alloc_re.o: alloc_re.c alloc.h byte.h auto-compilew.sh
	$W  -c alloc_re.c
api_dir.o: api_dir.c stralloc.h gen_alloc.h str.h api_dir.h auto-compilew.sh
	$W  -c api_dir.c
api_futimes.o: api_futimes.c auto-have_futimes.h api_futimes.h \
 api_utimes.h auto-compilew.sh
	$W  -c api_futimes.c
api_utimes.o: api_utimes.c api_utimes.h auto-compilew.sh
	$W  -c api_utimes.c
bailout.o: bailout.c error.h buffer.h bailout.h fmt.h auto-compilew.sh
	$W  -c bailout.c
bailout_name.o: bailout_name.c bailout.h buffer.h auto-compilew.sh
	$W  -c bailout_name.c
buffer.o: buffer.c buffer.h auto-compile.sh
	$C  -c buffer.c
buffer_0.o: buffer_0.c readwrite.h buffer.h auto-compile.sh
	$C  -c buffer_0.c
buffer_1.o: buffer_1.c readwrite.h buffer.h auto-compile.sh
	$C  -c buffer_1.c
buffer_2.o: buffer_2.c readwrite.h buffer.h auto-compile.sh
	$C  -c buffer_2.c
buffer_get.o: buffer_get.c buffer.h byte.h error.h auto-compile.sh
	$C  -c buffer_get.c
buffer_put.o: buffer_put.c buffer.h str.h byte.h error.h auto-compile.sh
	$C  -c buffer_put.c
byte_chr.o: byte_chr.c byte.h auto-compilew.sh
	$W  -c byte_chr.c
byte_copy.o: byte_copy.c byte.h auto-compilew.sh
	$W  -c byte_copy.c
byte_cr.o: byte_cr.c byte.h auto-compilew.sh
	$W  -c byte_cr.c
byte_diff.o: byte_diff.c byte.h auto-compilew.sh
	$W  -c byte_diff.c
byte_zero.o: byte_zero.c byte.h auto-compilew.sh
	$W  -c byte_zero.c
canon.o: canon.c stralloc.h gen_alloc.h ftpcopy.h buffer.h \
 attributes.h bailout.h auto-compilew.sh
	$W  -c canon.c
case_diffb.o: case_diffb.c case.h auto-compilew.sh
	$W  -c case_diffb.c
case_lowerb.o: case_lowerb.c case.h auto-compilew.sh
	$W  -c case_lowerb.c
case_lowers.o: case_lowers.c case.h auto-compilew.sh
	$W  -c case_lowers.c
case_lwrtab.o: case_lwrtab.c case.h auto-compilew.sh
	$W  -c case_lwrtab.c
case_startb.o: case_startb.c case.h auto-compilew.sh
	$W  -c case_startb.c
case_starts.o: case_starts.c case.h auto-compilew.sh
	$W  -c case_starts.c
common.o: common.c buffer.h attributes.h stralloc.h gen_alloc.h str.h \
 ftplib.h bailout.h byte.h ftpcopy.h error.h timeoutio.h taia.h tai.h \
 uint64.h typesize.h auto-typesize.h iopause.h auto-iopause.h \
 host_connect.h readwrite.h close.h mysleep.h ip6.h socket.h uint16.h \
 uint32.h auto-have_ipv6.h socket_if.h scan.h auto-compilew.sh
	$W  -c common.c
dns_dfd.o: dns_dfd.c error.h alloc.h byte.h dns.h stralloc.h \
 gen_alloc.h iopause.h auto-iopause.h taia.h tai.h uint64.h typesize.h \
 auto-typesize.h auto-compile.sh
	$C  -c dns_dfd.c
dns_domain.o: dns_domain.c error.h alloc.h case.h byte.h dns.h \
 stralloc.h gen_alloc.h iopause.h auto-iopause.h taia.h tai.h uint64.h \
 typesize.h auto-typesize.h auto-compile.sh
	$C  -c dns_domain.c
dns_ip.o: dns_ip.c stralloc.h gen_alloc.h uint16.h typesize.h \
 auto-typesize.h byte.h dns.h iopause.h auto-iopause.h taia.h tai.h \
 uint64.h auto-compile.sh
	$C  -c dns_ip.c
dns_ip6.o: dns_ip6.c stralloc.h gen_alloc.h uint16.h typesize.h \
 auto-typesize.h byte.h dns.h iopause.h auto-iopause.h taia.h tai.h \
