=== debian/changelog ===
ftpcopy (0.6.7-9) unstable; urgency=medium

  * QA upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Mon, 11 Aug 2025 12:20:08 +0200

ftpcopy (0.6.7-8) experimental; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Cassia Oban <coban@alunos.utfpr.edu.br>  Sat, 31 May 2025 00:29:45 -0300

ftpcopy (0.6.7-7) unstable; urgency=medium

  * QA upload
  * Remove experimental CI config
  * d/copyright: Convert to machine-readable format
  * d/copyright: Add missing info
  * Patch: Add missing include (Closes: #1066223)

  [ Andreas Beckmann ]
  * fix more missing includes
  * fix building twice in a row (Closes: #1044421)
  * declare Rules-Requires-Root: no

 -- Bastian Germann <bage@debian.org>  Fri, 12 Apr 2024 17:20:09 +0000

ftpcopy (0.6.7-6) unstable; urgency=medium

  * QA upload.
  * Repack to get rid of inner tarball.
  * Only build with default libc.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.

 -- Bastian Germann <bage@debian.org>  Mon, 24 Jul 2023 12:25:28 +0200

ftpcopy (0.6.7-5) unstable; urgency=medium

  * QA upload.
  * Use secure URI in Homepage field.
  * Update standards version, no changes needed.
  * Fix reproducible build.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 12 May 2019 11:56:40 +0000

ftpcopy (0.6.7-4) unstable; urgency=medium

  * QA upload.
  * Set package maintainer to QA Group
  * Convert package to debhelper and 3.0 (quilt) source format
    (Closes: #749654)
  * Improve support for build with dietlibc
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in `debian/control'
  * Add Homepage field into `debian/control'
  * Remove undefined macro from manpage

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 02 Jan 2019 21:44:14 +0000

ftpcopy (0.6.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by calling dpkg-shlibdeps only for binaries and not
    the ftpcp shell script (Closes: #854512).

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 08 Feb 2017 18:57:50 +0100

ftpcopy (0.6.7-3) unstable; urgency=medium

  * debian/diff/disable--html-option.diff: the --html option is no
    longer supported.
  * debian/rules: apply disable--html-option.diff (closes: #607494).

 -- Gerrit Pape <pape@smarden.org>  Wed, 14 Mar 2012 00:31:46 +0000

ftpcopy (0.6.7-2) unstable; urgency=low

  * debian/implicit: add proper dependencies to support 'parallel build'
    through make -j (thx Daniel Schepler for the patch, closes: #445824).
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Dec 2007 12:31:01 +0000

ftpcopy (0.6.7-1) unstable; urgency=low

  * initial version (closes: #307041).

 -- Gerrit Pape <pape@smarden.org>  Mon, 16 May 2005 10:56:47 +0000
