=== debian/control ===
Source: ftpcopy
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12)
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://www.ohse.de/uwe/ftpcopy.html
Vcs-Git: https://salsa.debian.org/debian/ftpcopy.git
Vcs-Browser: https://salsa.debian.org/debian/ftpcopy

Package: ftpcopy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FTP clients collection
 ftpcopy is a simple FTP client written to copy files or directories
 (recursively) from an FTP server.  It was written to mirror FTP sites
 which support the EPLF directory listing format, but it also supports
 the traditional listing format (/bin/ls).
 .
 ftpls is an FTP client which generates directory listings, either in
 plain text or HTML.
 .
 The tools only support passive mode FTP.  There is no plan to support
 active mode.
