=== debian/tests/control ===
Test-Command: ftpcopy --help | grep "^usage"
Restrictions: superficial
